List SRE Agent memories
Search SRE Agent memories for the account.
Memories are knowledge learned by the SRE Agent, including service runbooks, service profiles, incident playbooks, and incident summaries. Filter by service ID, incident ID, or memory type to retrieve relevant memories.
Scoped OAuth requires: incident.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results to return per page.
1 <= value <= 100"20 - incident_summary"Filter memories by service ID
Filter memories by incident ID
Filter memories by type
Value in
- "runbook"
- "service_profile"
- "incident_playbook"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
Delete an SRE Agent memory DELETE
Permanently delete an SRE Agent memory. Deleting a runbook may not delete it immediately from a currently running conversation, but will remove it from all future conversations. To modify an in progress conversation ask the agent to delete the runbook instead. Scoped OAuth requires: `sre_agent.write`
Update an SRE Agent memory PUT
Update an existing SRE Agent memory. Changes to the runbook may not update in a currently ongoing conversation, but will be available to new conversations. To modify the runbook for an in progress conversation update the runbook via the agent instead. Scoped OAuth requires: `sre_agent.write`